package org.hso.ecommerce.repos.user;

import org.hso.ecommerce.entities.user.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface UserRepository extends JpaRepository<User, Long> {

    @Query("SELECT c FROM User c WHERE c.email = :email")
    Optional<User> findByEmail(String email);
    
    /*SELECT count(*) FROM users WHERE is_employee == 1;
     */

    
    @Query("SELECT count(*) FROM User WHERE isEmployee = true")
    Optional<Integer> numberOfEmployees();
    
    
}


